## org.gnu.gtk.event
Class TextBufferEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.TextBufferEvent

All Implemented Interfaces:
  java.io.Serializable

public class TextBufferEvent
extends GtkEvent

This event represents TextBuffer events

See Also:
  `TextBufferListener`, `TextBuffer`, Serialized Form

Nested Class Summary
`static class` `TextBufferEvent.Type`

Field Summary

Fields inherited from class org.gnu.gtk.event.GtkEvent
`source, type`

Constructor Summary
`TextBufferEvent(java.lang.Object source, EventType type)`

Method Summary
`boolean` `isOfType(TextBufferEvent.Type test)` Compares to event types for equality

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextBufferEvent

    public TextBufferEvent(java.lang.Object source,
                           EventType type)

Method Detail

### isOfType

    public boolean isOfType(TextBufferEvent.Type test)

  Compares to event types for equality

  Returns:
    true if the Types are the same